jv.project

## Interface PvPickListenerIf

- All Known Implementing Classes:
    MathPickListener, MyProject, PjAvlTree, PjCatenoid, PjClosedPoly, PjComplexFunction, PjConformal, PjConjugate, PjCurvature, PjCurve, PjCycloid, PjDeCasteljau, PjElasticCurve, PjEllipse, PjEventCamera, PjExprOde, PjGeodesic, PjGeodesicFlow, PjHarmonic, PjHeight, PjHelicoid, PjHodge, PjImportModel, PjJuliaSet, PjKeyframe, PjKleinBottle, PjLantern, PjLIC, PjLife, PjLinear, PjLoader, PjLSystem, PjMarchingCubes, PjMaxPrinciple, PjMinesweeper, PjModel, PjParmCurve, PjParmSurface, PjPickEvent, PjPlatonic, PjPointCloud, PjPolygonSet, PjProject, PjPythagoreanTree, PjRivara, PjRootFinder, PjRotation, PjRuler, PjRungeKutta, PjSeeds, PjSizeEdge, PjSizePolygon, PjSizeVertex, PjSlider, PjSmooth, PjSnake, PjSubdivisionCurve, PjSurface, PjSurfCurve, PjTextureCube, PjTexturedSurface, PjTorusKnot, PjTransform, PjTranslation, PjVectorField, PjWeierstrass, PjZigZag, PnCellOperator, PnMinesweeper, PwGeodesic, PwGeodesicFlow, PwIntegralLine, PwMarkWithSphere

      public interface PvPickListenerIf

  Interface for a listener to receive pick events from display.
  See Also:
    `PvPickEvent`, `PjProject`, `PvDisplay`
  Author:
    Konrad Polthier
  Version:
    20.07.00, 1.20 revised (kp) Methods drag/pickDir() replaced with drag/pickDisplay().
    19.08.99, 1.10 revised (kp) Class renamed from PsPickIf.
    00.06.99, 1.00 created (kp)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragDisplay(PvPickEvent pos)` Drag a location in the display with 2d display and 3d world coordinates.
    `void` | `dragInitial(PvPickEvent pos)` Drag an arbitrary point along a geometry, point may lie inside an element.
    `void` | `dragVertex(PgGeometryIf geom, int index, PdVector vertex)` Drag a picked vertex of a geometry.
    `java.lang.String` | `getName()` The name of a listeners allows the display to issue verbal debug messages.
    `void` | `markVertices(PvPickEvent pos)` Mark a set of vertices of a geometry within a given bounding box.
    `void` | `pickDisplay(PvPickEvent pos)` Get a location in the display with 2d display and 3d world coordinates.
    `void` | `pickInitial(PvPickEvent pos)` Pick an arbitrary point on a geometry, point may lie inside an element.
    `void` | `pickVertex(PgGeometryIf geom, int index, PdVector vertex)` Get a picked vertex of a geometry.
    `void` | `selectGeometry(PgGeometryIf geom)` Inform pick listener when selected geometry is changing.
    `void` | `unmarkVertices(PvPickEvent pos)` Unmark a set of vertices of a geometry within a given bounding box.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      The name of a listeners allows the display to issue verbal debug messages.

    - #### selectGeometry

          void selectGeometry(PgGeometryIf geom)

      Inform pick listener when selected geometry is changing. Supported by jv.viewer.PvDisplay since v3.98.003.
      Parameters:
        `geom` - Now selected geometry of display.

    - #### pickDisplay

          void pickDisplay(PvPickEvent pos)

      Get a location in the display with 2d display and 3d world coordinates. Point may be independent of any geometry.
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### dragDisplay

          void dragDisplay(PvPickEvent pos)

      Drag a location in the display with 2d display and 3d world coordinates. Point may be independent of any geometry.
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### pickInitial

          void pickInitial(PvPickEvent pos)

      Pick an arbitrary point on a geometry, point may lie inside an element.
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### dragInitial

          void dragInitial(PvPickEvent pos)

      Drag an arbitrary point along a geometry, point may lie inside an element.
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### pickVertex

          void pickVertex(PgGeometryIf geom,
                          int index,
                          PdVector vertex)

      Get a picked vertex of a geometry.
      Parameters:
        `geom` - Picked geometry on which vertex lies
        `index` - Index of vertex in vertex array of geometry
        `vertex` - 3d coordinates of vertex position
      See Also:
        `PvPickListenerIf`

    - #### dragVertex

          void dragVertex(PgGeometryIf geom,
                          int index,
                          PdVector vertex)

      Drag a picked vertex of a geometry.
      Parameters:
        `geom` - Picked geometry on which vertex lies
        `index` - Index of vertex in vertex array of geometry
        `vertex` - 3d coordinates of vertex position

    - #### markVertices

          void markVertices(PvPickEvent pos)

      Mark a set of vertices of a geometry within a given bounding box.
      Parameters:
        `pos` - contains two points on the bounding box.

    - #### unmarkVertices

          void unmarkVertices(PvPickEvent pos)

      Unmark a set of vertices of a geometry within a given bounding box.
      Parameters:
        `pos` - contains two points on the bounding box.

"

The software JavaView? is copyright protected. All Rights Reserved.
"